packetforge-ng(1)

NAME
packetforge-ng forges packets: ARP, UDP, ICMP or custom.

SYNOPSIS
packetforge-ng <mode> <options>

DESCRIPTION
packetforge-ng is a tool designed to forge ARP-request, UDP, ICMP or custom packets.

OPTIONS

-p <fctrl>
    Set frame control word (hex)

-a <bssid>
    Set Access Point MAC addres

-c <dmac>
    Set Destination MAC address

-h <smac>
    Set Source MAC address

-j  set FromDS bit

-o  clear ToDS bit

-e  disable WEP encryption

-k <ip:[port]>
    Set source IP (and port)

-l <ip:[port]>
    Set destination IP (and port)

-w <file
    Write packet to this pcap file

-r <file>
    Read packet from this raw file

-y <file>
    Read PRGA from this file

--arp
    Forge an ARP packet

--udp
    Forge an UDP packet

--icmp
    Forge an ICMP packet

--custom
    Build a custom packet

EXAMPLE
packetforge-ng -y test.xor -a 00:09:5b:12:40:cc -h 00:10:2a:cb:30:14 -k 192.168.1.100 -l 192.168.1.1 -w arp-request.cap

AUTHOR
This manual page was written by Thomas d'Otreppe. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

SEE ALSO
ivstools(1)
airmon-ng(1)
airdecap-ng(1)
aircrack-ng(1)
aireplay-ng(1)
airodump-ng(1)
kstats(1)